- name: Install zsh
  become: yes
  package:
    name: zsh
    state: present

- name: Copy .zshrc to /etc/skel
  become: yes
  copy:
    src: .zshrc
    dest: /etc/skel/.zshrc
    owner: root
    group: root
    mode: 0644

- name: Copy .zshrc for all currently created users
  become: yes
  shell: |
    ALL_USERS="`awk -F: '/^[^:]+:[^:]{10,}/{ print $1 }' /etc/shadow` root"
    for USER in $ALL_USERS; do
      USERS_HOME="`eval echo ~${USER}`"
      echo "[INFO] Copying .zshrc for ${USER} to ${USERS_HOME}."
      cp -vf /etc/skel/.zshrc "${USERS_HOME}/.zshrc"
      chown -v $USER:$USER "${USERS_HOME}/.zshrc"
      echo "[INFO] Setting ZSH as default shell for for ${USER} to ${USERS_HOME}."
      usermod -s `which zsh` $USER
    done
